### Class

# WebKit2WebExtension DOMCSSStyleDeclaration

#### Description

    class WebKit2WebExtension.DOMCSSStyleDeclaration : WebKit2WebExtension.DOMObject {
      parent_instance: WebKitDOMObject
    }

No description available.

#### Ancestors

- WebKitDOMObject
- GObject

#### Instance methods

###### webkit_dom_css_style_declaration_get_css_text

No description available.

Deprecated since: 2.22

###### webkit_dom_css_style_declaration_get_length

No description available.

Deprecated since: 2.22

###### webkit_dom_css_style_declaration_get_parent_rule

No description available.

Deprecated since: 2.22

###### webkit_dom_css_style_declaration_get_property_priority

No description available.

Deprecated since: 2.22

###### webkit_dom_css_style_declaration_get_property_shorthand

No description available.

Deprecated since: 2.22

###### webkit_dom_css_style_declaration_get_property_value

No description available.

Deprecated since: 2.22

###### webkit_dom_css_style_declaration_is_property_implicit

No description available.

Deprecated since: 2.22

###### webkit_dom_css_style_declaration_item

No description available.

Deprecated since: 2.22

###### webkit_dom_css_style_declaration_remove_property

No description available.

Deprecated since: 2.22

###### webkit_dom_css_style_declaration_set_css_text

No description available.

Deprecated since: 2.22

###### webkit_dom_css_style_declaration_set_property

No description available.

Deprecated since: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMCSSStyleDeclaration:css-text

No description available.

###### WebKit2WebExtension.DOMCSSStyleDeclaration:length

No description available.

###### WebKit2WebExtension.DOMCSSStyleDeclaration:parent-rule

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMCSSStyleDeclarationClass {
      WebKitDOMObjectClass parent_class;

    }

###### Class members

`parent_class`

    WebKitDOMObjectClass

| No description available.